htmlentities
htmlspecialchars
String Functions
PHP Manual

# htmlspecialchars_decode

(PHP 5 >= 5.1.0)

htmlspecialchars_decode — Convert special HTML entities back to characters

### Description

string htmlspecialchars_decode ( string `$string` [, int `$quote_style` ] )

This function is the opposite of htmlspecialchars(). It converts special HTML entities back to characters.

The converted entities are: &amp;, &quot; (when ENT_NOQUOTES is not set), &#039; (when ENT_QUOTES is set), &lt; and &gt;.

### Parameters

`string`

  The string to decode

`quote_style`

  The quote style. One of the following constants:

  quote_style constants
  Constant Name | Description
  --- | ---
  `ENT_COMPAT` | Will convert double-quotes and leave single-quotes alone (default)
  `ENT_QUOTES` | Will convert both double and single quotes
  `ENT_NOQUOTES` | Will leave both double and single quotes unconverted

### Return Values

Returns the decoded string.

### Examples

Example #1 A htmlspecialchars_decode() example

`<?php
$str = '<p>this -&gt; &quot;</p>';
echo htmlspecialchars_decode($str);
// note that here the quotes aren't converted
echo htmlspecialchars_decode($str, ENT_NOQUOTES);
?>`

The above example will output:

    <p>this -> "</p>
    <p>this -> &quot;</p>

### See Also

- htmlspecialchars()
- html_entity_decode()
- get_html_translation_table()

htmlentities
htmlspecialchars
String Functions
PHP Manual